### Constant

# EDataServer SOURCE_CREDENTIAL_SSL_TRUST

#### Declaration

    #define E_SOURCE_CREDENTIAL_SSL_TRUST "ssl-trust"

#### Description

A name of the named parameter used for SSL/TLS trust in credentials, used to authenticate users with `e_source_invoke_authenticate_sync()` and e_source_invoke_authenticate(). The named parameter is optional. Its value corresponds to current ESourceWebdav::ssl-trust property, in case the ESource has that extension available. This is required to have up-to-date data on the server side, when the client side just saved the SSL trust change, which might not be propagated into the server (factory) side quickly enough. The key is added into the credentials in `e_source_invoke_authenticate()` automatically, if the corresponding ESource contain a WebDAV extension and the key is not part of the credentials already.